tigase.net

## Enum ServiceCommand

- java.lang.Object
- - java.lang.Enum<ServiceCommand>
  - - tigase.net.ServiceCommand

- All Implemented Interfaces:
    Serializable, Comparable<ServiceCommand>

      public enum ServiceCommand
      extends Enum<ServiceCommand>

  `ServiceCommand` is enumerated type defining all possible commands related to `ServiceData` instances. These commands are processed by `MessageDispatcher` implementations. Some commands are related to data encapsulated in `ServiceData` instance like `SEND_MESSAGE` or `BROADCAST` others are related to `ServerService` sending or receiving this message like: `STOP`, `CONNECTED` and so on. Please refer to detailed API documentation for more information.

  Created: Sun Oct 17 22:32:22 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BROADCAST`
    `CONNECT`
    `CONNECTED`
    `SEND_MESSAGE`
    `STOP`
    `STOPPED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServiceCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STOP

          public static final ServiceCommand STOP

    - #### STOPPED

          public static final ServiceCommand STOPPED

    - #### CONNECT

          public static final ServiceCommand CONNECT

    - #### CONNECTED

          public static final ServiceCommand CONNECTED

    - #### SEND_MESSAGE

          public static final ServiceCommand SEND_MESSAGE

    - #### BROADCAST

          public static final ServiceCommand BROADCAST

  - ### Method Detail

    - #### values

          public static ServiceCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceCommand c : ServiceCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceCommand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.